## org.mortbay.jetty.servlet
Class FilterHolder

    java.lang.Object
      org.mortbay.component.AbstractLifeCycle
          org.mortbay.jetty.servlet.Holder
              org.mortbay.jetty.servlet.FilterHolder

All Implemented Interfaces:
  Serializable, LifeCycle

    public class FilterHolder

extends Holder

Author:
  Greg Wilkins
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mortbay.jetty.servlet.Holder
`_class, _className, _displayName, _extInstance, _initParams, _name, _servletHandler`

Constructor Summary
`FilterHolder()` Constructor for Serialization.
`FilterHolder(Class filter)` Constructor for Serialization.
`FilterHolder(Filter filter)` Constructor for existing filter.

Method Summary
`void` `destroyInstance(Object o)`
`static int` `dispatch(String type)` Dispatch type from name
`void` `doStart()`
`void` `doStop()`
`Filter` `getFilter()`
`void` `setFilter(Filter filter)`
`String` `toString()`

Methods inherited from class org.mortbay.jetty.servlet.Holder
`getClassName, getDisplayName, getHeldClass, getInitParameter, getInitParameterNames, getInitParameters, getName, getServletHandler, newInstance, setClassName, setDisplayName, setHeldClass, setInitParameter, setInitParameters, setName, setServletHandler`

Methods inherited from class org.mortbay.component.AbstractLifeCycle
`isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FilterHolder

    public FilterHolder()

  Constructor for Serialization.

### FilterHolder

    public FilterHolder(Class filter)

  Constructor for Serialization.

### FilterHolder

    public FilterHolder(Filter filter)

  Constructor for existing filter.

Method Detail

### dispatch

    public static int dispatch(String type)

  Dispatch type from name

### doStart

    public void doStart()
                 throws Exception

  Overrides:
    `doStart` in class `Holder`
  Throws:
    `Exception`

### doStop

    public void doStop()

  Overrides:
    `doStop` in class `Holder`

### destroyInstance

    public void destroyInstance(Object o)
                         throws Exception

  Overrides:
    `destroyInstance` in class `Holder`
  Throws:
    `Exception`

### setFilter

    public void setFilter(Filter filter)

### getFilter

    public Filter getFilter()

### toString

    public String toString()

  Overrides:
    `toString` in class `Holder`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.